Retrieve hotel reviews’ incremental dump
https://api-sandbox.worldota.net/api/b2b/v3/hotel/incremental_reviews/dump/https://api.worldota.net/api/b2b/v3/hotel/incremental_reviews/dump/The call gets the dump with the hotel reviews of the ETG clients whose reviews have been added from the previous update.
ℹ️
The dump:
- Is incremental.
- Should be updated every week.
The ETG generates each archive for a single language.
⚠️
- The ETG can’t share the TripAdvisor reviews via the API.
- Reviews indexing isn’t allowed.
Sandbox limitations
⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
- The value of the
languagefield is always set toen. - The maximum number of items in the dump is
1000. - For all objects containing the
currency_codefield, its value is alwaysEUR.
Request example
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/incremental_reviews/dump/' \
--header 'Content-Type: application/json' \
--data '{
"language": "en"
}'curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/incremental_reviews/dump/' \
--header 'Content-Type: application/json' \
--data '{
"language": "en"
}'Request body
Response
Response example
{
"data": {
"last_update": "2020-07-01T00:38:13Z",
"url": "https://example.com/reviews/feed_en.json.gz"
},
"debug": null,
"error": null,
"status": "ok"
}Errors
The error field has the value specified in the headers below.
dump_not_ready
The dump is in processing. Try to send the request later.